if (!window.TraversingXAML)
	window.TraversingXAML = {};

TraversingXAML.Scene = function() 
{
}

TraversingXAML.Scene.prototype =
{
	handleLoad: function(plugIn, userContext, rootElement) 
	{
		this.plugIn = plugIn;

		var circle = rootElement.children.getItem(0);
    var rect = rootElement.children.getItem(1);
    
    // Remove the circle (which was first)
    rootElement.children.Remove(circle);
    
    // Add it to the end (to make it drawn last)
    rootElement.children.Add(circle);
  
	}
}